> This page is for API, version 2026-01-01 (Stable) (default).
> For other versions, use one of these documentation indexes:
> - 2026-01-01 (Stable) (default): https://developer.deel.com/api/stable/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.deel.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.deel.com/_mcp/server.

# Fetch Worker Relations of a given HrisProfile by external id

GET https://api.letsdeel.com/rest/hris/worker_relations/profile/external/{profile_id}

Retrieves all worker relationships for a given HRIS profile identified by its external identifier, including parent and child relationships.

 **Token scopes**: `profile:read`

Reference: https://developer.deel.com/api/reference/endpoints/worker-relations/get-worker-relation-profile-by-external-id

## Authentication

- `Authorization` header (bearer token, required) — ## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
- `Authorization` header (bearer token, required) — Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

## Servers

- `https://api.letsdeel.com/rest` (Production, default)
- `https://api-staging.letsdeel.com/rest` (Demo)

## Request

### Path parameters

- `profile_id` (string, required) — HrisProfile external ID

## Response

### 200

Successful operation

- `data` (list of HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaDataItems, optional) — An array containing the Worker Relations of the profile. It includes either the parent or child relations.

## Errors

### 400 Bad Request Error

Bad request - The provided profileId parameter is invalid or missing.

- `errors` (list of HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 401 Unauthorized Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 403 Forbidden Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

### 404 Not Found Error

Not found - No HRIS profile exists for the provided externalId.

- `errors` (list of HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaErrorsItems, required)

### 500 Internal Server Error

Operation failed.

- `request` (ApiErrorRequest, optional)
- `errors` (list of ApiError, optional)

## Types

### HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaDataItems

- `id` (string, optional) — The ID of the relation type
- `name` (string, optional) — The name of the relation type
- `is_parent` (boolean, optional) — Whether this relation is the parent or not
- `is_default` (boolean, optional) — Whether this relation is default or not
- `child_relationships` (list of HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaDataItemsChildRelationshipsItems, optional) — An array containing the information about the child profiles in the relation.
- `parent_relationship` (HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaDataItemsParentRelationship, optional) — An object that has information about the parent profile in the relation.

### HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaErrorsItems

- `code` (string, required)
- `message` (string, required)
- `field` (string, optional)

### ApiErrorRequest

- `method` (string, optional) — The HTTP method of the failed request
- `url` (string, optional) — The relative URL of the failed request
- `status` (double, optional) — The status code of the response
- `api_req_id` (string, optional) — The request ID of the failed request
- `docs` (string, optional) — A link to the official documentation for the requested endpoint resource
- `source` (string, optional) — The source handler which produced the returned error
- `code` (double, optional) — The code of the source handler which produced the returned error

### ApiError

- `message` (string, optional) — A description of the returned error
- `path` (string, optional) — The JSON path where input validation failed

### HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaDataItemsChildRelationshipsItems

- `last_name` (string, optional) — The last name of the child profile
- `first_name` (string, optional) — The first name of the child profile
- `profile_id` (string, optional) — The ID of the child profile
- `external_id` (string, optional) — The external ID of the child profile
- `relation_id` (string, optional) — The ID of the relation between the profiles

### HrisWorkerRelationsProfileExternalProfileIdGetResponsesContentApplicationJsonSchemaDataItemsParentRelationship

An object that has information about the parent profile in the relation.

- `last_name` (string, optional) — The last name of the parent profile
- `first_name` (string, optional) — The first name of the parent profile
- `profile_id` (string, optional) — The ID of the parent profile
- `relation_id` (string, optional) — The ID of the relation between the profiles
- `profile_external_id` (string, optional) — The external ID of the parent profile
- `relation_external_id` (string, optional) — The external ID of the relation

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
      "name": "Parent",
      "is_parent": true,
      "is_default": true,
      "child_relationships": [
        {
          "last_name": "Doe",
          "first_name": "John",
          "profile_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
          "external_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
          "relation_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b"
        }
      ],
      "parent_relationship": {
        "last_name": "Doe",
        "first_name": "Jane",
        "profile_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
        "relation_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
        "profile_external_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b",
        "relation_external_id": "f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/hris/worker_relations/profile/external/f7b3b2b3-6b1b-4b3b-8b3b-3b3b3b3b3b3b")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```